Bug 18949 - OPAC MARC details holdings table is not styled with thead
Summary: OPAC MARC details holdings table is not styled with thead
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-17 22:22 UTC by Aleisha Amohia
Modified: 2017-11-28 07:12 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18949: Adding thead tags to OPAC MARC details holdings table (2.52 KB, patch)
2017-07-17 22:27 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18949: Adding thead tags to OPAC MARC details holdings table (2.59 KB, patch)
2017-08-01 12:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18949: Adding thead tags to OPAC MARC details holdings table (2.63 KB, patch)
2017-10-24 12:05 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-07-17 22:22:52 UTC
The MARC details holdings table in the OPAC does not have <thead> around the header row, which means it doesn't get styled the same way as the other tables in the OPAC. This is more noticeable when you adding custom styles and themes to OPAC tables, where they don't get applied to this table.
Comment 1 Aleisha Amohia 2017-07-17 22:27:19 UTC
Created attachment 65087 [details] [review]
Bug 18949: Adding thead tags to OPAC MARC details holdings table

So that it can be styled alongside other tables in the OPAC.

To test:
1) Log into staff side
2) Find OPACUserCSS syspref and add the following CSS:
th,
.table-bordered>thead>tr:first-child>th {
color: red;
}
3) Log into the OPAC
4) Go to your fines, your search history, your reading history etc -
notice all of these table's headings are styled with red text
5) Go to the detail page of an item, then the MARC view.
Notice this table's headings are now styled with red text
6) Apply patch and refresh page
7) Your holdings table should now have red headings.
(You can delete the CSS from OPACUserCSS if you'd like.)

Sponsored-by: Catalyst IT
Comment 2 Owen Leonard 2017-08-01 12:02:03 UTC
Created attachment 65391 [details] [review]
[SIGNED-OFF] Bug 18949: Adding thead tags to OPAC MARC details holdings table

So that it can be styled alongside other tables in the OPAC.

To test:
1) Log into staff side
2) Find OPACUserCSS syspref and add the following CSS:
th,
.table-bordered>thead>tr:first-child>th {
color: red;
}
3) Log into the OPAC
4) Go to your fines, your search history, your reading history etc -
notice all of these table's headings are styled with red text
5) Go to the detail page of an item, then the MARC view.
Notice this table's headings are now styled with red text
6) Apply patch and refresh page
7) Your holdings table should now have red headings.
(You can delete the CSS from OPACUserCSS if you'd like.)

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Nick Clemens 2017-10-24 12:05:15 UTC
Created attachment 68457 [details] [review]
Bug 18949: Adding thead tags to OPAC MARC details holdings table

So that it can be styled alongside other tables in the OPAC.

To test:
1) Log into staff side
2) Find OPACUserCSS syspref and add the following CSS:
th,
.table-bordered>thead>tr:first-child>th {
color: red;
}
3) Log into the OPAC
4) Go to your fines, your search history, your reading history etc -
notice all of these table's headings are styled with red text
5) Go to the detail page of an item, then the MARC view.
Notice this table's headings are now styled with red text
6) Apply patch and refresh page
7) Your holdings table should now have red headings.
(You can delete the CSS from OPACUserCSS if you'd like.)

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2017-10-24 12:05:41 UTC
I don't actually see a change following the test plan, but code change makes sense
Comment 5 Jonathan Druart 2017-10-25 15:18:54 UTC
Pushed to master for 17.11, thanks to everybody involved!